<nav class="navbar navbar-expand-lg">
    <div class="container-fluid">
        <a class="navbar-brand" href="#" [routerLink]="['/home']" style="color: #CC66CC;">
           <img src="./../../../assets/img/img-19.jpeg" width="60px" height="60px"/>
            Dulces Americanos
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <i class="fas fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto mb-2 mb-lg-0">
            <li class="nav-item">
                <a class="nav-link nav-link-1" href="#" [routerLink]="['/home']">Inicio</a>
            </li>
            <div class="dropdown">
              <a class="dropdown-toggle nav-link nav-link-1" type="button" id="dropdownMenuButton" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
                Categorias
            </a>
              <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" *ngFor="let categoria of categories" [routerLink]="['/store']" [queryParams]="{category: categoria.name}" href="#">{{categoria.name}}</a>
              </div>
            </div>
            <li class="nav-item">
                <a class="nav-link nav-link-1 " href="#" [routerLink]="['/about']">Acerca de nosotros</a>
            </li>
            <li class="nav-item">
                <a class="nav-link nav-link-1" href="#" [routerLink]="['/cart']" ><mat-icon matBadge={{productsInShoppingCart}} matBadgeColor="warn">shopping_cart</mat-icon></a>
            </li>
        </ul>
        </div>
    </div>
</nav>
